laravel-CRUD/routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\PeopleController;
  
Route::resource('peoples', PeopleController::class);

laravel-CRUD/app/Models/People.php
<?php
  
namespace App\Models;
  
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
  
class People extends Model
{
    use HasFactory;
  
    protected $fillable = [
        'name', 'age', 'profession', 'birthday', 'comment'
    ];
}

laravel-CRUD/app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

laravel-CRUD/app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

laravel-CRUD/app/Http/Controllers/PeopleController.php
<?php
  
namespace App\Http\Controllers;
   
use App\Models\People;
use Illuminate\Http\Request;
  
class PeopleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $peoples = People::latest()->paginate(10);
    
        return view('peoples.index',compact('peoples'))
            ->with('i', (request()->input('page', 1) - 1) * 10);
    }
     
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('peoples.create');
    }
    
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'age' => 'required',
            'profession' => 'required',
            'birthday' => 'required',
            'comment' => 'required'
        ]);
    
        People::create($request->all());
     
        return redirect()->route('peoples.index')
                        ->with('success','Persona creada correctament!');
    }
     
    /**
     * Display the specified resource.
     *
     * @param  \App\People  $people
     * @return \Illuminate\Http\Response
     */
    public function show(People $people)
    {
        return view('peoples.show',compact('people'));
    } 
     
    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\People  $people
     * @return \Illuminate\Http\Response
     */
    public function edit(People $people)
    {
        return view('peoples.edit',compact('people'));
    }
    
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\People  $people
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, People $people)
    {
        $request->validate([
            'name' => 'required',
            'age' => 'required',
            'profession' => 'required',
            'birthday' => 'required',
            'comment' => 'required'
        ]);
    
        $people->update($request->all());
    
        return redirect()->route('peoples.index')
                        ->with('success','Persona editada correctament!');
    }
    
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\People  $people
     * @return \Illuminate\Http\Response
     */
    public function destroy(People $people)
    {
        $people->delete();
    
        return redirect()->route('peoples.index')
                        ->with('success','Persona eliminada correctament!');
    }
}

laravel-CRUD/resources/views/peoples/create.blade.php
@extends('peoples.layout')
@section('content')
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="pull-left">
            <h2>Afegir persones</h2>
        </div>
        <div class="pull-right">
            <a class="btn btn-danger" href="{{ route('peoples.index') }}">Cancel·lar</a>
        </div>
    </div>
</div>
  
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Error!</strong>Hi han problemes al teu input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
<form action="{{ route('peoples.store') }}" method="POST">
    @csrf
  
     <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Nom:</strong>
                <input type="text" name="name" class="form-control" placeholder="Nom">
                @error('name')
                <p class="form-text text-danger">ERROR EN EL NOMBRE</p>
                @enderror
            </div>
        </div>
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Edat:</strong>
                <input type="text" name="age" class="form-control" placeholder="Edat">
            </div>
        </div>
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Aniversari:</strong>
                <input type="text" name="birthday" class="form-control" placeholder="Aniversari">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Comentari adicional:</strong>
                <input type="text" name="comment" class="form-control" placeholder="Comentari">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Ocupació:</strong>
                <input type="text" name="profession" class="form-control" placeholder="Professió">
            </div>
        </div>

        <div class="col-xs-12 col-sm-12 col-md-12 text-center mt-4">
                <button type="submit" class="btn btn-success">Afegir</button>
        </div>
    </div>
   
</form>
@endsection

laravel-CRUD/resources/views/peoples/edit.blade.php
@extends('peoples.layout')
   
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Editar persona</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-danger" href="{{ route('peoples.index') }}">Cancel·lar</a>
            </div>
        </div>
    </div>
   
    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Error!</strong>Hi han problemes al teu input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
  
    <form action="{{ route('peoples.update',$people->id) }}" method="POST">
        @csrf
        @method('PUT')
   
         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Nom:</strong>
                    <input type="text" name="name" value="{{ $people->name }}" class="form-control" placeholder="Nom">
                </div>
            </div>
            <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Edat:</strong>
                <input type="text" name="age" value="{{ $people->age }}" class="form-control" placeholder="Edat">
            </div>
        </div>
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Aniversari:</strong>
                <input type="text" name="birthday" value="{{ $people->birthday }}" class="form-control" placeholder="Aniversari">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Comentari adicional:</strong>
                <input type="text" name="comment" value="{{ $people->comment }}" class="form-control" placeholder="Comentari">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Ocupació:</strong>
                <input type="text" name="profession" value="{{ $people->profession }}" class="form-control" placeholder="Professió">
            </div>
        </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center mt-4">
              <button type="submit" class="btn btn-success">Guardar</button>
            </div>
        </div>
   
    </form>
@endsection

laravel-CRUD/resources/views/peoples/index.blade.php
@extends('peoples.layout')
 
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Agenda de persones conegudes</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('peoples.create') }}">Afegir nova persona</a>
            </div>
        </div>
    </div>
   
    <table class="table table-bordered">
        <tr>
            <th>ID</th>
            <th>Nom</th>
            <th>Edat</th>
            <th>Ocupació</th>
            <th>Aniversari</th>
            <th>Comentari adicional</th>

            <th width="260px">Acció</th>
        </tr>
        @foreach ($peoples as $people)
        <tr>
            <td><strong>{{ ++$i }}</strong></td>
            <td>{{ $people->name }}</td>
            <td>{{ $people->age }}</td>
            <td>{{ $people->profession }}</td>
            <td>{{ $people->birthday }}</td>
            <td>{{ $people->comment }}</td>

            <td>
                <form action="{{ route('peoples.destroy',$people->id) }}" method="POST">
   
                    <a class="btn btn-secondary" href="{{ route('peoples.show',$people->id) }}">Mostrar</a>
                    <br>
                    <a class="btn btn-success" href="{{ route('peoples.edit',$people->id) }}">Editar</a>
                    @csrf
                    @method('DELETE')
                    <button type="submit" class="btn btn-danger">Eliminar</button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>

@if ($message = Session::get('success'))
        <div class="alert alert-warning">
            <p>{{ $message }}</p>
        </div>
    @endif
  
    
    {!! $peoples->links() !!}

@endsection

laravel-CRUD/resources/views/peoples/layout.blade.php
<!DOCTYPE html>
<html>
<head>
    <title>Pràctica CRUD Laravel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-alpha/css/bootstrap.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{{asset('css/style.css')}}">
</head>
<body>
  
<div class="container">
    @yield('content')
</div>
   
</body>
</html>

laravel-CRUD/resources/views/peoples/show.blade.php
@extends('peoples.layout')
  
@section('content')



<section class="p-0">
    <div class="container">
      <div class="row text-center">

        <div class="col-lg-12 my-5">
                <h2>Mostrar persona</h2>
    </div>
   
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Nom:</strong>
                {{ $people->name }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Edat:</strong>
                {{ $people->age }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Ocupació:</strong>
                {{ $people->profession }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Aniversari:</strong>
                {{ $people->birthday }} 
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Comentari adicional:</strong>
                {{ $people->comment }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 mt-4">
        <a class="btn btn-primary" href="{{ route('peoples.index') }}">Tornar</a>
        </div>

</div>
</div>
</section>
@endsection